export declare const SEAL_READING_ERROR = "SealReadingError";
export declare const SEAL_NOT_FOUND = "SEAL_NOT_FOUND";
export declare const MESSAGE_NOT_SEALED = "MESSAGE_NOT_SEALED";
export declare const SEAL_NOT_TRUSTWORTHY = "SEAL_NOT_TRUSTWORTHY";
export declare const UNKNOWN_EMAIL_PROVIDER = "UNKNOWN_EMAIL_PROVIDER";
export declare const SEVERITY_INFO = 0;
export declare const SEVERITY_WARNING = 1;
export declare const SEVERITY_ERROR = 2;
declare class SealReadingError extends Error {
    static SEAL_READING_ERROR: string;
    static SEAL_NOT_FOUND: string;
    static MESSAGE_NOT_SEALED: string;
    static SEAL_NOT_TRUSTWORTHY: string;
    static UNKNOWN_EMAIL_PROVIDER: string;
    static SEVERITY_INFO: number;
    static SEVERITY_WARNING: number;
    static SEVERITY_ERROR: number;
    type: string;
    severity: number;
    constructor(message: string, type: string, severity?: number);
}
export default SealReadingError;
