"use strict";
// https://code.vereign.com/seal/documentation/-/merge_requests/26
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSealTemplate = exports.SRC_PLACEHOLDER = exports.SEAL_IMAGE_ALT = exports.SEAL_IMAGE_PREFIX = exports.SEAL_CONTAINER_PREFIX = void 0;
exports.SEAL_CONTAINER_PREFIX = "seal-container-v1-";
exports.SEAL_IMAGE_PREFIX = "seal-image-";
// TODO: Point out importance of the constant image alt for MIME normalisation
exports.SEAL_IMAGE_ALT = "Vereign Seal";
exports.SRC_PLACEHOLDER = "<src-placeholder>";
const getSealTemplate = (sealId, sealUrl) => {
    return `<a id=${exports.SEAL_CONTAINER_PREFIX}${sealId} href="${sealUrl}" target="_blank" rel="noopener noreferrer"><img id="${exports.SEAL_IMAGE_PREFIX}${sealId}" alt="${exports.SEAL_IMAGE_ALT}" src="${exports.SRC_PLACEHOLDER}"></a>`;
};
exports.getSealTemplate = getSealTemplate;
